/****** fis_val.c ********/
/*** example of fuzzy inference system data format ****/
// see attached file "juggler.txt" and "juggler.fis"
// for original matlab fis
/*  Jason Seawall  */
/*  10-7-01        */


int InputsOutputs[]={2,1};
int NumInputMFs[]={3,3};
int NumOutputMFs=9;
int NumRules=9;

// matlabs defualt values for the following values are used
//	AndMethod,OrMethod,ImpMethod,AggMethod,DefuzzMethod

	float InRange[]={-4,4,0,3.142};

/*
33. InMFTypes        gbellmf
34.                  gbellmf
35.                  gbellmf
36.                  gbellmf
37.                  gbellmf
38.                  gbellmf
*/

int InMFTypes[]={2,2,2,2,2,2}; //(1=trimf,2=bellmf,3=gaussmf)

// matlabs defualt values for the following values are used
//  OutMFTypes

float InMFParams[]={2, 4, -4, 0,
		    2, 4, 0, 0,
		    2, 4, 4, 0,
		    0.7854, 4, 0, 0,
		    0.7854, 4, 1.571, 0,
		    0.7854, 4, 3.142, 0};
 
float OutMFParams[]={  -0.02185, -0.5, 0.3146, 0,
			-0.02185, -0.5, 0.3146, 0,
			-0.02185, -0.5, 0.3146, 0,
			0.1143, -0.5, 0.7854, 0,
			0.1143, -0.5, 0.7854, 0,
			0.1143, -0.5, 0.7854, 0,
			-0.02185, -0.5, 1.256, 0,
			-0.02185, -0.5, 1.256, 0,
			-0.02185, -0.5, 1.256, 0};
 
int Rule_Antecedent[]={1, 1,
		       1, 2,
		       1, 3,
		       2, 1,
		       2, 2,
		       2, 3,
		       3, 1,
		       3, 2,
		       3, 3};
	


