
/*************** test_fis.c *********/
/*** main routine for testing sugeno_eval function with example fis ****/
/*** compiled using Microsoft Visual C++ 6.0 
/*
/*  Jason Seawall  */
/*  Applied Research Labs */
/*  9-15-01 */
//
//
#include <float.h>
#include <iostream.h>
#include "fis.c"  // c file containing fuzzy inference system (fis) data
#include "fuzzy_eval.c" // c file containing fis evaluation routine


 main(void){
	int i;
    float crisp_in[10]; // may need to be increased for larger systems
	float *crisp_out;
    int test;

	test=1;
	while(test==1){
		for(i=0;i<InputsOutputs[0];i++){
           cout <<"enter crisp input "<<i<<":";
		   cin >> crisp_in[i];
		   cout <<"\n";
		}
	   test = fuzzy_eval(crisp_in,crisp_out);
       if(test==1){
		   cout <<"\n\n";
		   cout <<"input is out of range";
		   cout <<"\n";
		   for(i=0;i<InputsOutputs[0];i++){
               cout <<"input"<<i<<" range: "<< InRange[(i+1)*2-1]<<" to "<<InRange[(i+1)*2];
			   cout <<"\n";
		   }
       }
	   cout <<"\n\n";
	}
	cout << "crisp output = "<<*crisp_out;
    return 0;
}

